import request from '@/utils/request'
//查询业务日志列表
export function getYwLogs(data) {
    return request({
      url: '/smartArchives/sys/sysLog/getYwLogs',
      method: 'get',
      params: data
    })
  }

//备份业务日志列表
export function downloadYwLogs(data) {
    return request({
      url: '/smartArchives/sys/sysLog/downloadYwLogs',
      method: 'get',
      params: data,
      responseType: 'blob'
    })
  }

//查询系统日志列表
export function getSysLogs(data) {
  return request({
    url: '/smartArchives/sys/sysLog/getSystemLogs',
    method: 'get',
    params: data
  })
}

//备份系统日志列表
export function downloadSysLogs(data) {
  return request({
    url: '/smartArchives/sys/sysLog/downloadSysLogs',
    method: 'get',
    params: data,
    responseType: 'blob'
  })
}

//查询异常日志列表
export function getErrLogs(data) {
  return request({
    url: '/smartArchives/sys/sysLog/getErrLogs',
    method: 'get',
    params: data
  })
}

//备份异常日志列表
export function downloadErrLogs(data) {
  return request({
    url: '/smartArchives/sys/sysLog/downloadErrLogs',
    method: 'get',
    params: data,
    responseType: 'blob'
  })
}

//获取日志分析数据
export function getAnalyseData(data) {
    return request({
      url: '/smartArchives/sys/sysLog/getLogStatistics',
      method: 'post',
      data: data
    })
  }


  //获取日志容量
export function getLogSize(data) {
    return request({
      url: '/smartArchives/sys/sysLog/getLogsSet',
      method: 'post',
      data
    })
  }
    //设置日志容量
  export function updateLogSize(data) {
    return request({
      url: '/smartArchives/sys/sysLog/setLogsSet',
      method: 'post',
      data:data
    })
  }

   //添加异常Ip日志
   export function addLogs(data) {
    return request({
      url: '/smartArchives/sys/sysLog/addLogs',
      method: 'post',
      data:data
    })
  }

export function handleNoWarningLog(data) {
  return request({
    url: '/smartArchives/sys/sysLog/logWarn',
    method: 'get'
  })
}






